Index: bin/disable-replica
===================================================================
--- bin/disable-replica	(revision 48)
+++ bin/disable-replica	(revision 49)
@@ -4,8 +4,9 @@
 DIR_CRON="/etc/cron.d/"
 DIR_CONF_REPLICA="/opt/gZFS/replicas/"
 BIN_ZFS_REPLICA="/sbin/zfs-replica"
+BINZFS="/sbin/zfs"
+BINZPOOL="/sbin/zpool"
 
-# TODO: traduire les msg
 
 function usage {
   echo "Usage :" 1>&2
@@ -34,13 +35,13 @@
 
 function interactive {
 
-/sbin/zfs list
+$BINZFS list
 echo "*** Select the ZFS volume/filesystem Name to replicate :"
 while read inputline
 do
    if [ "$inputline" != "" ]
    then  
-       /sbin/zfs list $inputline
+       $BINZFS list $inputline
       if [ $? -eq 0 ]
       then
          FILE_NAME=$(echo "replica-"${inputline//\//-})
Index: bin/enable-snapshot
===================================================================
--- bin/enable-snapshot	(revision 48)
+++ bin/enable-snapshot	(revision 49)
@@ -4,9 +4,9 @@
 DIR_CRON="/etc/cron.d/"
 DIR_CONF_SNAPSHOT="/opt/gZFS/snapshots/"
 BIN_ZFS_SNAPSHOT="/sbin/zfs-snapshot"
+BINZFS="/sbin/zfs"
+BINZPOOL="/sbin/zpool"
 
-# TODO: traduire les msg
-
 function usage {
   echo "Usage : $0 options" 1>&2
   echo "OPTIONS :" 1>&2
@@ -38,7 +38,7 @@
 }
 
 function interactive {
-/sbin/zfs list
+$BINZFS list
 echo "*** Select the ZFS volume/filesystem : ***"
 
 while read inputline
@@ -63,7 +63,7 @@
 
       if [ "$inputConfirm" = "y" ]
       then
-         /sbin/zfs list $NAME_VOL
+         $BINZFS list $NAME_VOL
          if [ $? -eq 0 ]
          then
             echo "*** The ZFS volume/filesystem $NAME_VOL exists ***"
Index: bin/create-filesystem
===================================================================
--- bin/create-filesystem	(revision 48)
+++ bin/create-filesystem	(revision 49)
@@ -1,6 +1,9 @@
 #!/bin/bash
 # $Id$
 
+BINZFS="/sbin/zfs"
+BINZPOOL="/sbin/zpool"
+
 function usage {
 echo "Syntax :" 1>&2 
 echo "$0 [options]" 1>&2
@@ -15,20 +18,20 @@
 
 function nointeractive {
 
-/sbin/zfs create -o $FS_OPTION $NAME_POOL/$NAME
+$BINZFS create -o $FS_OPTION $NAME_POOL/$NAME
 
 }
 
 
 function interactive {
-/sbin/zfs list
+$BINZFS list
 echo "*** Select the parent zpool : ***"
 
 while read inputline
 do
    if [ "$inputline" != "" ]
    then
-      /sbin/zfs list |grep -i $inputline
+      $BINZFS list |grep -i $inputline
       if [ $? -eq 1 ]
       then
          echo "*** Select the parent zpool : ***"
@@ -52,7 +55,7 @@
              do
                 if [ "$inputFS" != "" ]
                 then
-                   /sbin/zfs list |grep -i "$inputFS "
+                   $BINZFS list |grep -i "$inputFS "
                    if [ $? -eq 0 ]
                    then
                          echo "Filesystem name already exists"
@@ -65,11 +68,11 @@
                       echo "filesystem name: "
                    else
                       NAME_FS=$inputFS
-                           /sbin/zfs create $NAME_POOL/$inputFS
+                           $BINZFS create $NAME_POOL/$inputFS
                            if [ $? -eq 0 ]
                            then
                               echo "*** ZFS filesystem Creation [OK] ***" 
-                              /sbin/zfs list
+                              $BINZFS list
                               break
                            else
                               echo "/!\\ ZFS filesystem Creation [ERROR] /!\\"
Index: bin/del-filesystem
===================================================================
--- bin/del-filesystem	(revision 48)
+++ bin/del-filesystem	(revision 49)
@@ -1,5 +1,7 @@
 #!/bin/bash
 # $Id$
+BINZFS="/sbin/zfs"
+BINZPOOL="/sbin/zpool"
 
 function usage {
   echo "Description : destroy a ZFS FileSystem." 1>&2
@@ -13,14 +15,14 @@
 
 function nointeractive {
 
-MOUNTED=$(zfs get -H mounted $FS_NAME|awk '{ print $3}')
+MOUNTED=$($BINZFS get -H mounted $FS_NAME|awk '{ print $3}')
 
 if [ "$MOUNTED" == "no" ]
 then
-   is_pool=$(zpool list $FS_NAME)
+   is_pool=$($BINZPOOL list $FS_NAME)
    if [ $? == 1 ]
    then
-      zfs destroy -r $FS_NAME
+      $BINZFS destroy -r $FS_NAME
    else
       echo "$FS_NAME is a zpool, cannot remove recursively this filesystem" 1>&2
       exit 1;
@@ -35,7 +37,7 @@
 
 function interactive {
 
-zfs list
+$BINZFS list
 echo "*** Enter ZFS FileSystem Name: ***" 
 while read inputline
 do
Index: bin/zpool-get-state
===================================================================
--- bin/zpool-get-state	(revision 48)
+++ bin/zpool-get-state	(revision 49)
@@ -1,6 +1,9 @@
 #!/bin/bash
 # $Id$
 
+BINZFS="/sbin/zfs"
+BINZPOOL="/sbin/zpool"
+
 function usage {
 
   echo "Syntax :"
@@ -8,8 +11,8 @@
   echo "$0 -h : display this message"
 }
 function nointeractive {
-  echo $(/sbin/zpool status $poolname|grep -i "state:"|sed -e "s/^ \+//g"|sed -e "s/: /:/")
-  echo $(/sbin/zpool status $poolname|grep -i "scan:"|sed -e "s/^ \+//g"|sed -e "s/: /:/")
+  echo $($BINZPOOL status $poolname|grep -i "state:"|sed -e "s/^ \+//g"|sed -e "s/: /:/")
+  echo $($BINZPOOL status $poolname|grep -i "scan:"|sed -e "s/^ \+//g"|sed -e "s/: /:/")
   exit 0
 }
 while getopts "in:h" OPTION
Index: bin/zfs-snapshot
===================================================================
--- bin/zfs-snapshot	(revision 48)
+++ bin/zfs-snapshot	(revision 49)
@@ -1,5 +1,7 @@
 #!/bin/bash
 # $Id$
+BINZFS="/sbin/zfs"
+BINZPOOL="/sbin/zpool"
 
 function create_snapshot_volume {
 #*** ETAPE DE CREATION DU SNAPSHOT ***#
@@ -11,7 +13,7 @@
 
 echo "*** Snapshot Creation from $NAME_VOL"
 ZDATE=$(date +%Y%m%d%H%M%S)
-/sbin/zfs snapshot $NAME_VOL@snapshot-$ZDATE
+$BINZFS snapshot $NAME_VOL@snapshot-$ZDATE
 echo ""
 #*** FIN ETAPE DE CREATION DU SNAPSHOT ***#
 }
@@ -25,7 +27,7 @@
 echo ""
 echo "*** Snapshot Creation from $NAME_VOL"
 ZDATE=$(date +%Y%m%d%H%M%S)
-/sbin/zfs snapshot $NAME_VOL@snapshot-$ZDATE
+$BINZFS snapshot $NAME_VOL@snapshot-$ZDATE
 echo ""
 #*** FIN ETAPE DE CREATION DU SNAPSHOT ***#
 }
@@ -34,19 +36,19 @@
 function del_old_snapshot {
 #*** ETAPE SUPPRESSION DES SNAPSHOTS OBSELETES ***#
 echo ""
-CPT_SNAP=$(/sbin/zfs list -t snapshot -r $NAME_VOL |cut -d" " -f1 |grep -i $NAME_VOL\@ |wc -l)
+CPT_SNAP=$($BINZFS list -t snapshot -r $NAME_VOL |cut -d" " -f1 |grep -i $NAME_VOL\@ |wc -l)
 echo "*** Le nombre de snapshot pour $NAME_VOL est : $CPT_SNAP"
-/sbin/zfs list -t snapshot -r $NAME_VOL 
+$BINZFS list -t snapshot -r $NAME_VOL 
 
 if [ $CPT_SNAP -gt $NB_SNAP ]
 then
    echo "*** Detection du snapshot le plus ancien"
-   for ID_SNAP_OLDER in $(/sbin/zfs list -t snapshot -r $NAME_VOL |cut -d" " -f1 |grep -i $NAME_VOL\@)
+   for ID_SNAP_OLDER in $($BINZFS list -t snapshot -r $NAME_VOL |cut -d" " -f1 |grep -i $NAME_VOL\@)
    do
       echo "*** Le snapshot le plus ancien est : $ID_SNAP_OLDER"
       break
    done
-   /sbin/zfs destroy $ID_SNAP_OLDER
+   $BINZFS destroy $ID_SNAP_OLDER
    if [ $? -eq 0 ]
    then
       echo "*** Suppression du snapshot $ID_SNAP_OLDER [OK]"
Index: bin/get-disk-info
===================================================================
--- bin/get-disk-info	(revision 48)
+++ bin/get-disk-info	(revision 49)
@@ -1,6 +1,9 @@
 #!/bin/bash
 # $Id$
 
+BINZFS="/sbin/zfs"
+BINZPOOL="/sbin/zpool"
+
 SMARTTOOL="/usr/sbin/smartctl"
 
 function usage {
@@ -29,11 +32,11 @@
         echo "DEVBYIDNOPART= $DEVBYIDNOPART"
    fi
    echo "nameinzpool:$DEVBYIDNOPART"
-   errorread=$(/sbin/zpool status |grep "$DEVBYIDNOPART"|sed -e "s/\t//g" |sed -e "s/ \+/ /g" | sed -e "s/^ //g"|cut -d " " -f3)
+   errorread=$($BINZPOOL status |grep "$DEVBYIDNOPART"|sed -e "s/\t//g" |sed -e "s/ \+/ /g" | sed -e "s/^ //g"|cut -d " " -f3)
    echo "errorread:$errorread"
-   errorwrite=$(/sbin/zpool status |grep "$DEVBYIDNOPART"|sed -e "s/\t//g" |sed -e "s/ \+/ /g" | sed -e "s/^ //g"|cut -d " " -f4)
+   errorwrite=$($BINZPOOL status |grep "$DEVBYIDNOPART"|sed -e "s/\t//g" |sed -e "s/ \+/ /g" | sed -e "s/^ //g"|cut -d " " -f4)
    echo "errorwrite:$errorwrite"
-   errorchecksum=$(/sbin/zpool status |grep "$DEVBYIDNOPART"|sed -e "s/\t//g" |sed -e "s/ \+/ /g" | sed -e "s/^ //g"|cut -d " " -f5)
+   errorchecksum=$($BINZPOOL status |grep "$DEVBYIDNOPART"|sed -e "s/\t//g" |sed -e "s/ \+/ /g" | sed -e "s/^ //g"|cut -d " " -f5)
    echo "errorchecksum:$errorchecksum"
    exit 0
 fi
@@ -53,11 +56,11 @@
         done<<< "$($SMARTTOOL -i -H /dev/disk/by-id/scsi-$resultMulti)"
         DEVBYIDNOPART=$(echo $DEVBYID|cut -d "/" -f4)
         echo "nameinzpool:$DEVBYIDNOPART"
-        errorread=$(/sbin/zpool status |grep "$DEVBYIDNOPART "|sed -e "s/\t//g" |sed -e "s/ \+/ /g" | sed -e "s/^ //g"|cut -d " " -f3)
+        errorread=$($BINZPOOL status |grep "$DEVBYIDNOPART "|sed -e "s/\t//g" |sed -e "s/ \+/ /g" | sed -e "s/^ //g"|cut -d " " -f3)
         echo "errorread:$errorread"
-        errorwrite=$(/sbin/zpool status |grep "$DEVBYIDNOPART "|sed -e "s/\t//g" |sed -e "s/ \+/ /g" | sed -e "s/^ //g"|cut -d " " -f4)
+        errorwrite=$($BINZPOOL status |grep "$DEVBYIDNOPART "|sed -e "s/\t//g" |sed -e "s/ \+/ /g" | sed -e "s/^ //g"|cut -d " " -f4)
         echo "errorwrite:$errorwrite"
-        errorchecksum=$(/sbin/zpool status |grep "$DEVBYIDNOPART "|sed -e "s/\t//g" |sed -e "s/ \+/ /g" | sed -e "s/^ //g"|cut -d " " -f5)
+        errorchecksum=$($BINZPOOL status |grep "$DEVBYIDNOPART "|sed -e "s/\t//g" |sed -e "s/ \+/ /g" | sed -e "s/^ //g"|cut -d " " -f5)
         echo "errorchecksum:$errorchecksum"
         exit 0
     fi
Index: bin/disable-snapshot
===================================================================
--- bin/disable-snapshot	(revision 48)
+++ bin/disable-snapshot	(revision 49)
@@ -4,8 +4,9 @@
 DIR_CRON="/etc/cron.d/"
 DIR_CONF_SNAPSHOT="/opt/gZFS/snapshots/"
 BIN_ZFS_SNAPSHOT="/sbin/zfs-snapshot"
+BINZFS="/sbin/zfs"
+BINZPOOL="/sbin/zpool"
 
-# TODO: traduire les msg
 
 function usage {
   echo "Usage :" 1>&2
@@ -34,13 +35,13 @@
 
 function interactive {
 
-/sbin/zfs list
+$BINZFS list
 echo "*** Nom du volume pour desactiver les snapshot :"
 while read inputline
 do
    if [ "$inputline" != "" ]
    then  
-       /sbin/zfs list $inputline
+       $BINZFS list $inputline
       if [ $? -eq 0 ]
       then
          FILE_NAME=$(echo "snapshot-"${inputline//\//-})
Index: bin/zfs-clone
===================================================================
--- bin/zfs-clone	(revision 48)
+++ bin/zfs-clone	(revision 49)
@@ -1,5 +1,7 @@
 #!/bin/bash
 # $Id$
+BINZFS="/sbin/zfs"
+BINZPOOL="/sbin/zpool"
 
 function usage {
 echo "Syntax :"
@@ -14,7 +16,7 @@
 TODAY=$(date +%Y%m%d%H%M%S)
 
 clone_name=$(echo "$volfs2clone" |sed -e "s/@.*$//g")
-/sbin/zfs clone $volfs2clone $clone_name-$TODAY-clone
+$BINZFS clone $volfs2clone $clone_name-$TODAY-clone
 if [ "$?" == "0" ]
 then
 echo "name:$clone_name-$TODAY-clone"
@@ -24,7 +26,7 @@
 
 function interactive {
 
-/sbin/zfs list -t snapshot
+$BINZFS list -t snapshot
 echo "*** Select Volume or Filesystem to Clone : ***" 
 while read inputline
 do
@@ -47,7 +49,7 @@
    fi
    if [ "$inputConfirm" != "y" ]
    then
-      /sbin/zfs list -t snapshot
+      $BINZFS list -t snapshot
       echo "*** Select Volume or Filesystem to Clone : ***" 
    fi
 done
Index: bin/enable-replica
===================================================================
--- bin/enable-replica	(revision 48)
+++ bin/enable-replica	(revision 49)
@@ -4,6 +4,8 @@
 DIR_CONF_REPLICA="/opt/gZFS/replicas/"
 DIR_CRON="/etc/cron.d/"
 BIN_ZFS_REPLICA="/sbin/zfs-replica"
+BINZFS="/sbin/zfs"
+BINZPOOL="/sbin/zpool"
 
 # TODO: traduire les msg
 
@@ -43,7 +45,7 @@
 }
 
 function interactive {
-zfs list
+$BINZFS list
 echo "*** Select the ZFS volume/filesystem to replicate : ***" 
 
 while read inputline
@@ -67,7 +69,7 @@
       done
       if [ "$inputConfirm" = "y" ]
       then
-         zfs list $volfs
+         $BINZFS list $volfs
          if [ $? -eq 0 ]
          then
             echo "*** The ZFS volume/filesystem selected $volfs exists ***"
Index: bin/get-provisioned-space
===================================================================
--- bin/get-provisioned-space	(revision 48)
+++ bin/get-provisioned-space	(revision 49)
@@ -1,5 +1,7 @@
 #!/bin/bash
 # $Id$
+BINZFS="/sbin/zfs"
+BINZPOOL="/sbin/zpool"
 
 function usage {
   echo "Syntax: $0 zfs_volume_name"1>&2
@@ -11,6 +13,6 @@
    usage
 else
 
-/sbin/zfs get volsize -H -t volume |egrep $1
-/sbin/zfs get referenced -H $1
+$BINZFS get volsize -H -t volume |egrep $1
+$BINZFS get referenced -H $1
 fi
Index: bin/create-volume
===================================================================
--- bin/create-volume	(revision 48)
+++ bin/create-volume	(revision 49)
@@ -1,6 +1,9 @@
 #!/bin/bash
 # $Id$
 
+BINZFS="/sbin/zfs"
+BINZPOOL="/sbin/zpool"
+
 function usage {
 echo "Syntax :" 1>&2
 echo "$0 [options]" 1>&2
@@ -8,7 +11,6 @@
 echo " -p : pool name" 1>&2
 echo " -b : block size. Permit value : 32K, 64K, 128K (recommanded)" 1>&2
 echo " -s : volume size. Permit unit : T, G, M"  1>&2
-# FIXME: c'est pas clair ta formulation
 echo " -o : set property list for a  zfs volume. Separate such property by a ','." 1>&2
 echo "      Example : -o compression=off,snapdev=visble." 1>&2
 echo "      Read the man zfs to get the list of the valid properties" 1>&2
@@ -20,23 +22,23 @@
 
 if [[ -z $VOL_OPTION ]]
 then
-/sbin/zfs create -s -b $BLOCK_SIZE -V $SIZE $NAME_POOL/$NAME
+$BINZFS create -s -b $BLOCK_SIZE -V $SIZE $NAME_POOL/$NAME
 else
-/sbin/zfs create -s -b $BLOCK_SIZE -o $VOL_OPTION -V $SIZE $NAME_POOL/$NAME
+$BINZFS create -s -b $BLOCK_SIZE -o $VOL_OPTION -V $SIZE $NAME_POOL/$NAME
 fi
 
 }
 
 
 function interactive {
-/sbin/zfs list
+$BINZFS list
 echo "*** Select the parent zpool : ***"
 
 while read inputline
 do
    if [ "$inputline" != "" ]
    then
-      /sbin/zfs list |grep -i $inputline
+      $BINZFS list |grep -i $inputline
       if [ $? -eq 1 ]
       then
          echo "*** Select the parent zpool ***"
@@ -84,11 +86,11 @@
                       do
                          if [ "$inputSize" != "" ]
                          then
-                           /sbin/zfs create -s -b 128K -V $inputSize  $NAME_POOL/$inputVolume
+                           $BINZFS create -s -b 128K -V $inputSize  $NAME_POOL/$inputVolume
                            if [ $? -eq 0 ]
                            then
                               echo "*** ZFS volume creation [OK] ***" 
-                              /sbin/zfs list
+                              $BINZFS list
                               break
                            else
                               echo "/!\\ ZFS volume creation [ERROR] /!\\"
Index: bin/get-disk-zpool
===================================================================
--- bin/get-disk-zpool	(revision 48)
+++ bin/get-disk-zpool	(revision 49)
@@ -1,6 +1,9 @@
 #!/bin/bash
 # $Id$
 
+BINZFS="/sbin/zfs"
+BINZPOOL="/sbin/zpool"
+
 function usage {
 
 echo "Syntax $0"
@@ -26,8 +29,8 @@
    if [ "$property" == "name" ]
    then
       echo "$property:$valueProperty"
-      echo "$(/sbin/zpool status $valueProperty|grep -i "state:"|sed -e "s/^ \+//g"|sed -e "s/: /:/")"
-      echo "$(/sbin/zpool status $valueProperty|grep -i "scan:"|sed -e "s/^ \+//g"|sed -e "s/: /:/")"
+      echo "$($BINZPOOL status $valueProperty|grep -i "state:"|sed -e "s/^ \+//g"|sed -e "s/: /:/")"
+      echo "$($BINZPOOL status $valueProperty|grep -i "scan:"|sed -e "s/^ \+//g"|sed -e "s/: /:/")"
       poolname="$valueProperty"
    fi
    if [[ "$property" =~ "children[" ]]
Index: bin/del-volume
===================================================================
--- bin/del-volume	(revision 48)
+++ bin/del-volume	(revision 49)
@@ -2,9 +2,10 @@
 # $Id$
 
 # TODO: fix typos
-
 GETINFO_ISCSI="/sbin/get-conf-iscsi-volume"
 DEL_ISCSI="/sbin/del-iscsi-volume"
+BINZFS="/sbin/zfs"
+BINZPOOL="/sbin/zpool"
 
 function usage {
   echo "Usage :" 1>&2
@@ -21,13 +22,13 @@
 
 if [ "$TID" == "" ]
 then
-   zfs destroy -r $NAME_VOL
+   $BINZFS destroy -r $NAME_VOL
    
 else
    $DEL_ISCSI -T $TID
    if [ $? -eq 0 ]
    then
-     zfs destroy -r $NAME_VOL
+     $BINZFS destroy -r $NAME_VOL
    else
       exit 1;
    fi
@@ -37,7 +38,7 @@
 
 function interactive {
 
-zfs list
+$BINZFS list
 echo "*** Enter the ZFS Volume Name : ***" 
 while read inputline
 do
Index: bin/zfs-replica
===================================================================
--- bin/zfs-replica	(revision 48)
+++ bin/zfs-replica	(revision 49)
@@ -6,6 +6,8 @@
 getConfigSnapshotTool="/sbin/get-conf-snapshot"
 zfsSnapshot="/sbin/zfs-snapshot"
 FILE_NAME=$1
+BINZFS="/sbin/zfs"
+BINZPOOL="/sbin/zpool"
 
 #********************************
 #* function initenv
@@ -66,7 +68,7 @@
 }
 
 function checkCoherence {
-  ssh -o BatchMode=yes root@$server zfs list $namereplica
+  ssh -o BatchMode=yes root@$server $BINZFS list $namereplica
   if [ "$?" != "0" ]
   then
      return false
@@ -79,19 +81,19 @@
 if [[ "$server" == "" ]]
 then
   echo ""
-  CPT_SNAP=$(/sbin/zfs list -t snapshot -r $namereplica |cut -d" " -f1 |grep -i $namereplica\@ |wc -l)
+  CPT_SNAP=$($BINZFS list -t snapshot -r $namereplica |cut -d" " -f1 |grep -i $namereplica\@ |wc -l)
   echo "*** Number of snapshots for $namereplica is : $CPT_SNAP"
-  /sbin/zfs list -t snapshot -r $namereplica
+  $BINZFS list -t snapshot -r $namereplica
 
   if [ $CPT_SNAP -gt $nbreplica ]
   then
     echo "*** Detection of the oldest snapshot"
-    for ID_SNAP_OLDER in $(/sbin/zfs list -t snapshot -r $namereplica |cut -d" " -f1 |grep -i $namereplica\@)
+    for ID_SNAP_OLDER in $($BINZFS list -t snapshot -r $namereplica |cut -d" " -f1 |grep -i $namereplica\@)
     do
       echo "*** The oldest snapshot is : $ID_SNAP_OLDER"
       break
     done
-    /sbin/zfs destroy $ID_SNAP_OLDER
+    $BINZFS destroy $ID_SNAP_OLDER
     if [ $? -eq 0 ]
     then
        echo "*** Remove the snapshot $ID_SNAP_OLDER [OK]"
@@ -102,19 +104,19 @@
 
 else
   echo ""
-  CPT_SNAP=$(ssh -o BatchMode=yes root@$server /sbin/zfs list -t snapshot -r $namereplica |cut -d" " -f1 |grep -i $namereplica\@ |wc -l)
+  CPT_SNAP=$(ssh -o BatchMode=yes root@$server $BINZFS list -t snapshot -r $namereplica |cut -d" " -f1 |grep -i $namereplica\@ |wc -l)
   echo "*** Number of snapshots for $namereplica is : $CPT_SNAP"
-  ssh -o BatchMode=yes root@$server /sbin/zfs list -t snapshot -r $namereplica
+  ssh -o BatchMode=yes root@$server $BINZFS list -t snapshot -r $namereplica
 
   if [ $CPT_SNAP -gt $nbreplica ]
   then
     echo "*** Detection of the oldest snapshot"
-    for ID_SNAP_OLDER in $(ssh -o BatchMode=yes root@$server /sbin/zfs list -t snapshot -r $namereplica |cut -d" " -f1 |grep -i $namereplica\@)
+    for ID_SNAP_OLDER in $(ssh -o BatchMode=yes root@$server $BINZFS list -t snapshot -r $namereplica |cut -d" " -f1 |grep -i $namereplica\@)
     do
       echo "*** The oldest snapshot is : $ID_SNAP_OLDER"
       break
     done
-    ssh -o BatchMode=yes root@$server /sbin/zfs destroy $ID_SNAP_OLDER
+    ssh -o BatchMode=yes root@$server $BINZFS destroy $ID_SNAP_OLDER
     if [ $? -eq 0 ]
     then
        echo "*** Remove the snapshot $ID_SNAP_OLDER [OK]"
@@ -145,13 +147,13 @@
 if [[ "$server" == "" ]]
 then
 
-    /sbin/zfs list $parentdataset
+    $BINZFS list $parentdataset
     if [[ "?" != "0" ]]
     then
-      /sbin/zfs create -p $parentdataset
+      $BINZFS create -p $parentdataset
     fi
 
-    /sbin/zfs send $snapshot2replicate | /sbin/zfs recv $namereplica
+    $BINZFS send $snapshot2replicate | $BINZFS recv $namereplica
     if [[ "$?" == "0" ]]
     then
        cpt=0
@@ -173,13 +175,13 @@
   checkServerConnection
   if [[ "$snapshot2replicate" != "" ]]
   then
-    ssh -o BatchMode=yes root@$server /sbin/zfs list $parentdataset
+    ssh -o BatchMode=yes root@$server $BINZFS list $parentdataset
     if [[ "?" != "0" ]]
     then
-      ssh -o BatchMode=yes root@$server /sbin/zfs create -p $parentdataset
+      ssh -o BatchMode=yes root@$server $BINZFS create -p $parentdataset
     fi
 
-    /sbin/zfs send $snapshot2replicate |ssh -o BatchMode=yes root@$server /sbin/zfs recv $namereplica
+    $BINZFS send $snapshot2replicate |ssh -o BatchMode=yes root@$server $BINZFS recv $namereplica
     if [[ "$?" == "0" ]]
     then
        cpt=0
@@ -208,7 +210,7 @@
 echo "Start incremental replication"
 if [[ "$server" == "" ]]
 then
-    cmd="zfs send -i $lastsnapshotReplicated $namevolfs@$lastsnaphot | ssh -o BatchMode=yes root@$server zfs recv $namereplica"
+    cmd="$BINZFS send -i $lastsnapshotReplicated $namevolfs@$lastsnaphot | ssh -o BatchMode=yes root@$server $BINZFS recv $namereplica"
     echo $cmd
     if [[ "$?" == "0" ]]
     then
@@ -232,7 +234,7 @@
 then
    exit 1
 else
-    /sbin/zfs send -i $lastsnapshotReplicated $namevolfs@$snaphot2replicate | ssh -o BatchMode=yes root@$server /sbin/zfs recv $namereplica
+    $BINZFS send -i $lastsnapshotReplicated $namevolfs@$snaphot2replicate | ssh -o BatchMode=yes root@$server $BINZFS recv $namereplica
     if [[ "$?" == "0" ]]
     then
        cpt=0
@@ -264,7 +266,7 @@
 initenv
 
 fileconf=$($getConfigSnapshotTool $namevolfs|grep fileconf|cut -d "=" -f2)
-NBsnapshot=$(/sbin/zfs list -H -r -t snapshot $namevolfs|wc -l)
+NBsnapshot=$($BINZFS list -H -r -t snapshot $namevolfs|wc -l)
 
 if [[ $NBsnapshot -eq 0 ]]
 then
@@ -280,7 +282,7 @@
    while read line
    do
      snapshot2replicate=$(echo $line |echo $line |sed -e "s/ \+/ /g"|cut -d " " -f1)
-   done <<< "$(/sbin/zfs list -H -r -t snapshot $namevolfs)"
+   done <<< "$($BINZFS list -H -r -t snapshot $namevolfs)"
    fullreplication
 fi
 
@@ -293,7 +295,7 @@
    while read line
    do 
      snapshot2replicate=$(echo $line |echo $line |sed -e "s/ \+/ /g"|cut -d " " -f1)
-   done <<< "$(/sbin/zfs list -H -r -t snapshot $namevolfs)"
+   done <<< "$($BINZFS list -H -r -t snapshot $namevolfs)"
    fullreplication
 fi
 
@@ -312,7 +314,7 @@
        break
     fi
     cpt=$cpt+1
-  done <<< "$(/sbin/zfs list -H -r -t snapshot $namevolfs|tac)"
+  done <<< "$($BINZFS list -H -r -t snapshot $namevolfs|tac)"
   lastsnapshot=$(echo $lastsnapshotReplicated |sed -e "s/ \+/ /g"|cut -d " " -f1|cut -d "@" -f2) 
  
   if [ "$snaphot2replicate" == "$lastsnapshot" ]
@@ -321,8 +323,8 @@
      exit 1
  
   fi
-  check_lastsnapshotReplica=$(ssh -o BatchMode=yes root@$server /sbin/zfs list -H -r -t snapshot $namereplica |grep $lastsnapshot|wc -l)
-  check_currentsnapshotReplica=$(ssh -o BatchMode=yes root@$server /sbin/zfs list -H -r -t snapshot $namereplica |grep $snaphot2replicate=|wc -l)
+  check_lastsnapshotReplica=$(ssh -o BatchMode=yes root@$server $BINZFS list -H -r -t snapshot $namereplica |grep $lastsnapshot|wc -l)
+  check_currentsnapshotReplica=$(ssh -o BatchMode=yes root@$server $BINZFS list -H -r -t snapshot $namereplica |grep $snaphot2replicate=|wc -l)
   if [[ $check_lastsnapshotReplica -eq 0 ]]
   then
      echo "Incoherence, incremental replication failed : $lastsnapshotReplicated is missing" 1>&2
